I want to use the Qt Mobility Messaging plugin from a Qt Quick app. I have the following in the qml script:
import QtMobility.location 1.1
import QtMobility.messaging 1.1
The .pro file has
CONFIG += mobility
MOBILITY += location messaging

This works fine on a real Symbian^3 device. But in the emulator I get an error for the QtMobility.messaging module (but the QtMobility.location module loads fine). The error message is:
> module "QtMobility.messaging" is not installed
> import QtMobility.messaging 1.1
> ^

I am using a fresh Qt Creator installation (2.2.1, built on June 15)

Thanks for any help.
How can I use QtMobility.messaging module from the simulator?